General developer forum

 
 
6
upgrading TinyMCE in moodle 2.5.1
 

Hi

I have moodle 2.5.1 that came with TinyMCE 3.5.8
I want to upgrade TinyMCE to version 4.0.7

are there any upgrade guidelines for this ? any tutorial or documentation ?

 
Average of ratings:Useful (1)
Picture of Raphael Goldman
תשובה ל: upgrading TinyMCE in moodle 2.5.1
 

I will be glad to do that too...

 
Average of ratings: -
Picture of Stuart Lamour
Re: upgrading TinyMCE in moodle 2.5.1
Group Particularly helpful Moodlers

tinymce4 is much better for accessibility, so +1 from me.

 
Average of ratings: -
6
Re: upgrading TinyMCE in moodle 2.5.1
 

Stuart Lamour, are there any upgrade guidelines for this ? any tutorial or documentation ?

 
Average of ratings: -
Picture of Stuart Lamour
Re: upgrading TinyMCE in moodle 2.5.1
Group Particularly helpful Moodlers

Hi Di,

from what i understand you can do it yourselves, and give it back to the community, or vote on this https://tracker.moodle.org/browse/MDL-40421 and wait for moodlehq to sort it out.

 

 
Average of ratings: -
Picture of Raphael Goldman
go back to a previous version
 

Hi,

Is it possible to got back to a previous version of tinymce?

Is it complicated the same as upgrading?

Thanks

 
Average of ratings: -
Picture of Raphael Goldman
תשובה ל: go back to a previous version
 

I tried it and it is now working.

 
Average of ratings: -
Picture of Mauno Korpelainen
Re: upgrading TinyMCE in moodle 2.5.1
Group Particularly helpful Moodlers

It's not a one line switch. There are no moodle docs about changing TinyMCE 3.5.8 to TinyMCE 4.0.7 so far because TinyMCE 4 has a different file and folder structure compared to TinyMCE 3.

See for example http://www.tinymce.com/wiki.php/Tutorial:Migration_guide_from_3.x about the reasons (why this is not yet possible) and https://moodle.org/mod/forum/discuss.php?d=240774 about some related discussion going on.

Some more info about Moodle plugins (TinyMCE 3) in

http://docs.moodle.org/dev/TinyMCE_plugins

http://docs.moodle.org/dev/Creating_a_Moodle_specific_TinyMCE_plugin

 
Average of ratings: -